Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy.builder.primitive
Class NestedPrimitiveAssertionBuilder

    java.lang.Object
      org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertionBuilder
          org.apache.cxf.ws.policy.builder.primitive.NestedPrimitiveAssertionBuilder

All Implemented Interfaces:
  AssertionBuilder

    public class NestedPrimitiveAssertionBuilder

extends PrimitiveAssertionBuilder

Field Summary

Fields inherited from class org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertionBuilder
`bus`

Constructor Summary
`NestedPrimitiveAssertionBuilder()`

Method Summary
`org.apache.neethi.Assertion` | `build(org.w3c.dom.Element elem)` Constructs an assertion from an xml element.
`org.apache.neethi.Assertion` | `buildCompatible(org.apache.neethi.Assertion a, org.apache.neethi.Assertion b)` If the two assertions are equal, they are also compatible.
`void` | `setAssertionBuilderRegistry(AssertionBuilderRegistry abr)`
`void` | `setPolicyBuilder(PolicyBuilder b)`

Methods inherited from class org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertionBuilder
`getKnownElements, getPolicyConstants, setBus, setKnownElements`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NestedPrimitiveAssertionBuilder

    public NestedPrimitiveAssertionBuilder()

Method Detail

### setPolicyBuilder

    public void setPolicyBuilder(PolicyBuilder b)

### setAssertionBuilderRegistry

    public void setAssertionBuilderRegistry(AssertionBuilderRegistry abr)

### build

    public org.apache.neethi.Assertion build(org.w3c.dom.Element elem)

  Description copied from interface: `AssertionBuilder`
  Constructs an assertion from an xml element.

  Specified by:
    `build` in interface `AssertionBuilder`
  Overrides:
    `build` in class `PrimitiveAssertionBuilder`
  Parameters:
    `elem` - the element from which to build an assertion
  Returns:
    an Assertion built from the given element

### buildCompatible

    public org.apache.neethi.Assertion buildCompatible(org.apache.neethi.Assertion a,
                                                       org.apache.neethi.Assertion b)

  Description copied from class: `PrimitiveAssertionBuilder`
  If the two assertions are equal, they are also compatible. The compatible policy is optional iff both assertions are optional.

  Specified by:
    `buildCompatible` in interface `AssertionBuilder`
  Overrides:
    `buildCompatible` in class `PrimitiveAssertionBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF